<?xml version="1.0" encoding="iso-8859-1"?><XMI xmi.version="1.2"
            xmlns:UML="http://www.omg.org/spec/UML/1.4">
            <XMI.header>
                <XMI.documentation>
                    <XMI.exporter>PEAR\PHP_UML</XMI.exporter>
                </XMI.documentation>
                <XMI.metamodel XMI.name="UML" XMI.version="1.2" />
            </XMI.header>
            <XMI.content><UML:Model name="default" xmi.id="593ebc33b3d5c6.29377925"  visibility="public" isAbstract="false" 
        isSpecification="false" isRoot="false" isLeaf="false" ><UML:Namespace.ownedElement><UML:Stereotype xmi.id="1dc9d0ca2525681ab970493fa1bed1f8"
                name="File"  visibility="public" isAbstract="false" 
        isSpecification="false" isRoot="false" isLeaf="false"  /><UML:Stereotype xmi.id="cc99fbb28ce726caba6fee91461f54db"
                name="PHP File"  visibility="public" isAbstract="false" 
        isSpecification="false" isRoot="false" isLeaf="false"  /><UML:Stereotype xmi.id="0dfd8cda248f8c6c84d7291bf83243b1"
            name="realize"  visibility="public" isAbstract="false" 
        isSpecification="false" isRoot="false" isLeaf="false" >
            <UML:Stereotype.baseClass>Abstraction</UML:Stereotype.baseClass>
            </UML:Stereotype><UML:TagDefinition xmi.id="f26758ec4db0aae9c238360df160a0e8" name="documentation" isSpecification="false" tagType="string">
            <UML:TagDefinition.multiplicity>
            <UML:Multiplicity xmi.id="740c3a97789b1efa4f81fd6a495b19dd">
              <UML:Multiplicity.range>
                <UML:MultiplicityRange xmi.id="814c040e580c6e52f167a6b4e9322db0"
                  lower="0" upper="1"/>
              </UML:Multiplicity.range>
            </UML:Multiplicity>
          </UML:TagDefinition.multiplicity>
        </UML:TagDefinition><UML:DataType xmi.id="593ebc33cca916.80865133" name="mixed" visibility="public" isRoot="false"  isLeaf="false" isAbstract="false"></UML:DataType><UML:DataType xmi.id="593ebc33df3c31.69666467" name="array" visibility="public" isRoot="false"  isLeaf="false" isAbstract="false"></UML:DataType><UML:DataType xmi.id="593ebc33df3d92.77837107" name="string" visibility="public" isRoot="false"  isLeaf="false" isAbstract="false"></UML:DataType><UML:DataType xmi.id="593ebc33df3e38.79445367" name="int" visibility="public" isRoot="false"  isLeaf="false" isAbstract="false"></UML:DataType><UML:DataType xmi.id="593ebc33df3ed2.57606111" name="integer" visibility="public" isRoot="false"  isLeaf="false" isAbstract="false"></UML:DataType><UML:DataType xmi.id="593ebc33df3f60.52033768" name="bool" visibility="public" isRoot="false"  isLeaf="false" isAbstract="false"></UML:DataType><UML:DataType xmi.id="593ebc33df3ff4.63700086" name="boolean" visibility="public" isRoot="false"  isLeaf="false" isAbstract="false"></UML:DataType><UML:DataType xmi.id="593ebc33df4070.95278622" name="float" visibility="public" isRoot="false"  isLeaf="false" isAbstract="false"></UML:DataType><UML:DataType xmi.id="593ebc33df4107.31312443" name="void" visibility="public" isRoot="false"  isLeaf="false" isAbstract="false"></UML:DataType><UML:DataType xmi.id="593ebc33df41a1.72166795" name="null" visibility="public" isRoot="false"  isLeaf="false" isAbstract="false"></UML:DataType><UML:DataType xmi.id="593ebc33df4230.56501831" name="object" visibility="public" isRoot="false"  isLeaf="false" isAbstract="false"></UML:DataType><UML:DataType xmi.id="593ebc33df42c7.86064637" name="resource" visibility="public" isRoot="false"  isLeaf="false" isAbstract="false"></UML:DataType><UML:Interface name="Iterator" xmi.id="593ebc349346c9.81704721" visibility="package" isAbstract="true"><UML:Classifier.feature></UML:Classifier.feature><UML:ModelElement.taggedValue><UML:TaggedValue xmi.id="593ebc3bdf0a48.96021057" visibility="public"><UML:TaggedValue.dataValue>Internal PHP interface.</UML:TaggedValue.dataValue><UML:TaggedValue.type><UML:TagDefinition xmi.idref="f26758ec4db0aae9c238360df160a0e8"/></UML:TaggedValue.type></UML:TaggedValue></UML:ModelElement.taggedValue></UML:Interface><UML:Interface name="Countable" xmi.id="593ebc34934971.92352409" visibility="package" isAbstract="true"><UML:Classifier.feature></UML:Classifier.feature><UML:ModelElement.taggedValue><UML:TaggedValue xmi.id="593ebc3bdf0c26.18995465" visibility="public"><UML:TaggedValue.dataValue>Internal PHP interface.</UML:TaggedValue.dataValue><UML:TaggedValue.type><UML:TagDefinition xmi.idref="f26758ec4db0aae9c238360df160a0e8"/></UML:TaggedValue.type></UML:TaggedValue></UML:ModelElement.taggedValue></UML:Interface><UML:Class name="Exception" xmi.id="593ebc34a7c7f0.62459046" visibility="package"
            isAbstract="false"><UML:Classifier.feature></UML:Classifier.feature><UML:ModelElement.taggedValue><UML:TaggedValue xmi.id="593ebc3bdf0ce9.62666329" visibility="public"><UML:TaggedValue.dataValue>Internal PHP class.</UML:TaggedValue.dataValue><UML:TaggedValue.type><UML:TagDefinition xmi.idref="f26758ec4db0aae9c238360df160a0e8"/></UML:TaggedValue.type></UML:TaggedValue></UML:ModelElement.taggedValue></UML:Class><UML:Package xmi.id="593ebc3653f797.75681148" name="warden"><UML:Namespace.ownedElement><UML:Package xmi.id="593ebc3653f950.76191685" name="src"><UML:Namespace.ownedElement><UML:Class name="DAOFactory" xmi.id="593ebc3653fe15.47249659" visibility="package"
            isAbstract="true"><UML:Classifier.feature><UML:Attribute xmi.id="593ebc36e73f70.11701569" name="MYSQL_AVCUSTOMSIGNATURES"  visibility="public"  isStatic="true" ownerScope="classifier" changeability="frozen" isReadOnly="true" ><UML:StructuralFeature.type><UML:DataType xmi.idref="593ebc33df3e38.79445367"/></UML:StructuralFeature.type><UML:Attribute.initialValue><UML:Expression xmi.id="593ebc3bdf0e22.01003023" body="1" /></UML:Attribute.initialValue><UML:ModelElement.taggedValue><UML:TaggedValue xmi.id="593ebc3bdf0ed4.60604312" visibility="public"><UML:TaggedValue.dataValue>Constant for instantiating a Mysql database 'av_signatures', table 'custom_signatures' MysqlDAO object</UML:TaggedValue.dataValue><UML:TaggedValue.type><UML:TagDefinition xmi.idref="f26758ec4db0aae9c238360df160a0e8"/></UML:TaggedValue.type></UML:TaggedValue></UML:ModelElement.taggedValue></UML:Attribute><UML:Attribute xmi.id="593ebc36e74859.68823239" name="MYSQL_AVURLSIGNATURES"  visibility="public"  isStatic="true" ownerScope="classifier" changeability="frozen" isReadOnly="true" ><UML:StructuralFeature.type><UML:DataType xmi.idref="593ebc33df3e38.79445367"/></UML:StructuralFeature.type><UML:Attribute.initialValue><UML:Expression xmi.id="593ebc3bdf0f53.83968616" body="2" /></UML:Attribute.initialValue><UML:ModelElement.taggedValue><UML:TaggedValue xmi.id="593ebc3bdf0fc3.55248117" visibility="public"><UML:TaggedValue.dataValue>Constant for instantiating a Mysql database 'av_signatures', table 'url_signatures' MysqlDAO object</UML:TaggedValue.dataValue><UML:TaggedValue.type><UML:TagDefinition xmi.idref="f26758ec4db0aae9c238360df160a0e8"/></UML:TaggedValue.type></UML:TaggedValue></UML:ModelElement.taggedValue></UML:Attribute><UML:Attribute xmi.id="593ebc36e74b88.29548347" name="MYSQL_EMAILHASHES"  visibility="public"  isStatic="true" ownerScope="classifier" changeability="frozen" isReadOnly="true" ><UML:StructuralFeature.type><UML:DataType xmi.idref="593ebc33df3e38.79445367"/></UML:StructuralFeature.type><UML:Attribute.initialValue><UML:Expression xmi.id="593ebc3bdf1038.34640530" body="3" /></UML:Attribute.initialValue><UML:ModelElement.taggedValue><UML:TaggedValue xmi.id="593ebc3bdf1096.90115598" visibility="public"><UML:TaggedValue.dataValue>Constant for instantiating a Mysql database 'hashdb', table 'emailhashes' MysqlDAO object</UML:TaggedValue.dataValue><UML:TaggedValue.type><UML:TagDefinition xmi.idref="f26758ec4db0aae9c238360df160a0e8"/></UML:TaggedValue.type></UML:TaggedValue></UML:ModelElement.taggedValue></UML:Attribute><UML:Attribute xmi.id="593ebc36e74e52.38115305" name="MYSQL_HASHES"  visibility="public"  isStatic="true" ownerScope="classifier" changeability="frozen" isReadOnly="true" ><UML:StructuralFeature.type><UML:DataType xmi.idref="593ebc33df3e38.79445367"/></UML:StructuralFeature.type><UML:Attribute.initialValue><UML:Expression xmi.id="593ebc3bdf10f0.71866847" body="4" /></UML:Attribute.initialValue><UML:ModelElement.taggedValue><UML:TaggedValue xmi.id="593ebc3bdf1161.91481724" visibility="public"><UML:TaggedValue.dataValue>Constant for instantiating a Mysql database 'hashdb', table 'hashes' MysqlDAO object</UML:TaggedValue.dataValue><UML:TaggedValue.type><UML:TagDefinition xmi.idref="f26758ec4db0aae9c238360df160a0e8"/></UML:TaggedValue.type></UML:TaggedValue></UML:ModelElement.taggedValue></UML:Attribute><UML:Attribute xmi.id="593ebc36e75134.77295656" name="MYSQL_SPAMHASHES"  visibility="public"  isStatic="true" ownerScope="classifier" changeability="frozen" isReadOnly="true" ><UML:StructuralFeature.type><UML:DataType xmi.idref="593ebc33df3e38.79445367"/></UML:StructuralFeature.type><UML:Attribute.initialValue><UML:Expression xmi.id="593ebc3bdf11d0.04874274" body="5" /></UML:Attribute.initialValue><UML:ModelElement.taggedValue><UML:TaggedValue xmi.id="593ebc3bdf1232.82135486" visibility="public"><UML:TaggedValue.dataValue>Constant for instantiating a Mysql database 'spamdb', table 'hashes' MysqlDAO object</UML:TaggedValue.dataValue><UML:TaggedValue.type><UML:TagDefinition xmi.idref="f26758ec4db0aae9c238360df160a0e8"/></UML:TaggedValue.type></UML:TaggedValue></UML:ModelElement.taggedValue></UML:Attribute><UML:Operation xmi.id="593ebc372c2127.21938916" name="getDAO" visibility="public" isQuery="false" concurrency="sequential"><UML:BehavioralFeature.parameter><UML:Parameter xmi.id="593ebc37350d81.18910774"  name="return" kind="return"><UML:Parameter.type><UML:DataType xmi.idref="593ebc33df4107.31312443"/></UML:Parameter.type></UML:Parameter><UML:Parameter xmi.id="593ebc37351137.78832554"  name="$dao" kind="in"><UML:Parameter.type><UML:DataType xmi.idref="593ebc33df3e38.79445367"/></UML:Parameter.type></UML:Parameter></UML:BehavioralFeature.parameter><UML:ModelElement.taggedValue><UML:TaggedValue xmi.id="593ebc3bdf13f4.50942454" visibility="public"><UML:TaggedValue.dataValue>Returns a DAO's instance according to the $dao param</UML:TaggedValue.dataValue><UML:TaggedValue.type><UML:TagDefinition xmi.idref="f26758ec4db0aae9c238360df160a0e8"/></UML:TaggedValue.type></UML:TaggedValue></UML:ModelElement.taggedValue></UML:Operation></UML:Classifier.feature><UML:ModelElement.taggedValue><UML:TaggedValue xmi.id="593ebc3bdf1457.93891052" visibility="public"><UML:TaggedValue.dataValue>Factory class responsible for instantiating the specific DAO's for each data source, eg: Mysql, SQL Server, etc</UML:TaggedValue.dataValue><UML:TaggedValue.type><UML:TagDefinition xmi.idref="f26758ec4db0aae9c238360df160a0e8"/></UML:TaggedValue.type></UML:TaggedValue></UML:ModelElement.taggedValue></UML:Class><UML:Interface name="DAO" xmi.id="593ebc375784e1.92629601" visibility="package" isAbstract="true"><UML:Classifier.feature><UML:Operation xmi.id="593ebc375789f4.35598230" name="findByUniqueWardens" visibility="public" isQuery="false" concurrency="sequential"><UML:BehavioralFeature.parameter><UML:Parameter xmi.id="593ebc37578bc8.79410423"  name="return" kind="return"><UML:Parameter.type><UML:DataType xmi.idref="593ebc33df4107.31312443"/></UML:Parameter.type></UML:Parameter><UML:Parameter xmi.id="593ebc37578c66.33257480"  name="$wardensIds" kind="in"><UML:Parameter.type><UML:DataType xmi.idref="593ebc33cca916.80865133"/></UML:Parameter.type></UML:Parameter></UML:BehavioralFeature.parameter><UML:ModelElement.taggedValue><UML:TaggedValue xmi.id="593ebc3bdf17b1.54601571" visibility="public"><UML:TaggedValue.dataValue>It might garantee that find unique Idea objects from the Data Source</UML:TaggedValue.dataValue><UML:TaggedValue.type><UML:TagDefinition xmi.idref="f26758ec4db0aae9c238360df160a0e8"/></UML:TaggedValue.type></UML:TaggedValue></UML:ModelElement.taggedValue></UML:Operation><UML:Operation xmi.id="593ebc375790a2.94213166" name="findByDetectTime" visibility="public" isQuery="false" concurrency="sequential"><UML:BehavioralFeature.parameter><UML:Parameter xmi.id="593ebc37579284.41333939"  name="return" kind="return"><UML:Parameter.type><UML:DataType xmi.idref="593ebc33df4107.31312443"/></UML:Parameter.type></UML:Parameter><UML:Parameter xmi.id="593ebc375792e5.02849982"  name="$time" kind="in"><UML:Parameter.type><UML:DataType xmi.idref="593ebc33cca916.80865133"/></UML:Parameter.type></UML:Parameter></UML:BehavioralFeature.parameter><UML:ModelElement.taggedValue><UML:TaggedValue xmi.id="593ebc3bdf18c7.59143525" visibility="public"><UML:TaggedValue.dataValue>Find new Idea files since last execution specified by $time, eg:
00:30:00 (it fetch new ideas from 30 minutes ago)</UML:TaggedValue.dataValue><UML:TaggedValue.type><UML:TagDefinition xmi.idref="f26758ec4db0aae9c238360df160a0e8"/></UML:TaggedValue.type></UML:TaggedValue></UML:ModelElement.taggedValue></UML:Operation><UML:Operation xmi.id="593ebc375793e4.11278632" name="isConnected" visibility="public" isQuery="false" concurrency="sequential"><UML:BehavioralFeature.parameter><UML:Parameter xmi.id="593ebc375794d4.38109259"  name="return" kind="return"><UML:Parameter.type><UML:DataType xmi.idref="593ebc33df4107.31312443"/></UML:Parameter.type></UML:Parameter></UML:BehavioralFeature.parameter><UML:ModelElement.taggedValue><UML:TaggedValue xmi.id="593ebc3bdf1994.55603872" visibility="public"><UML:TaggedValue.dataValue>It might garantee that the connection is ok</UML:TaggedValue.dataValue><UML:TaggedValue.type><UML:TagDefinition xmi.idref="f26758ec4db0aae9c238360df160a0e8"/></UML:TaggedValue.type></UML:TaggedValue></UML:ModelElement.taggedValue></UML:Operation></UML:Classifier.feature><UML:ModelElement.taggedValue><UML:TaggedValue xmi.id="593ebc3bdf19f5.84518256" visibility="public"><UML:TaggedValue.dataValue>Interface for DAO's</UML:TaggedValue.dataValue><UML:TaggedValue.type><UML:TagDefinition xmi.idref="f26758ec4db0aae9c238360df160a0e8"/></UML:TaggedValue.type></UML:TaggedValue></UML:ModelElement.taggedValue></UML:Interface><UML:Class name="IdeaCategory" xmi.id="593ebc37614cb3.63638252" visibility="package"
            isAbstract="true"><UML:Classifier.feature><UML:Attribute xmi.id="593ebc37615bf7.09264110" name="ABUSIVE_SPAM"  visibility="public"  isStatic="true" ownerScope="classifier" changeability="frozen" isReadOnly="true" ><UML:StructuralFeature.type><UML:DataType xmi.idref="593ebc33df3d92.77837107"/></UML:StructuralFeature.type><UML:Attribute.initialValue><UML:Expression xmi.id="593ebc3bdf1ab5.03864472" body="&#039;Abusive.Spam&#039;" /></UML:Attribute.initialValue></UML:Attribute><UML:Attribute xmi.id="593ebc37615d55.22050501" name="ABUSIVE_HARASSMENT"  visibility="public"  isStatic="true" ownerScope="classifier" changeability="frozen" isReadOnly="true" ><UML:StructuralFeature.type><UML:DataType xmi.idref="593ebc33df3d92.77837107"/></UML:StructuralFeature.type><UML:Attribute.initialValue><UML:Expression xmi.id="593ebc3bdf1b32.26658700" body="&#039;Abusive.Harassment&#039;" /></UML:Attribute.initialValue></UML:Attribute><UML:Attribute xmi.id="593ebc37615e76.38008392" name="ABUSIVE_CHILD"  visibility="public"  isStatic="true" ownerScope="classifier" changeability="frozen" isReadOnly="true" ><UML:StructuralFeature.type><UML:DataType xmi.idref="593ebc33df3d92.77837107"/></UML:StructuralFeature.type><UML:Attribute.initialValue><UML:Expression xmi.id="593ebc3bdf1bb4.28288109" body="&#039;Abusive.Child&#039;" /></UML:Attribute.initialValue></UML:Attribute><UML:Attribute xmi.id="593ebc37615f80.54402085" name="ABUSIVE_SEXUAL"  visibility="public"  isStatic="true" ownerScope="classifier" changeability="frozen" isReadOnly="true" ><UML:StructuralFeature.type><UML:DataType xmi.idref="593ebc33df3d92.77837107"/></UML:StructuralFeature.type><UML:Attribute.initialValue><UML:Expression xmi.id="593ebc3bdf1c11.18131685" body="&#039;Abusive.Sexual&#039;" /></UML:Attribute.initialValue></UML:Attribute><UML:Attribute xmi.id="593ebc37616073.68754250" name="ABUSIVE_VIOLENCE"  visibility="public"  isStatic="true" ownerScope="classifier" changeability="frozen" isReadOnly="true" ><UML:StructuralFeature.type><UML:DataType xmi.idref="593ebc33df3d92.77837107"/></UML:StructuralFeature.type><UML:Attribute.initialValue><UML:Expression xmi.id="593ebc3bdf1c79.82557428" body="&#039;Abusive.Violence&#039;" /></UML:Attribute.initialValue></UML:Attribute><UML:Attribute xmi.id="593ebc37616188.78043716" name="MALWARE_VIRUS"  visibility="public"  isStatic="true" ownerScope="classifier" changeability="frozen" isReadOnly="true" ><UML:StructuralFeature.type><UML:DataType xmi.idref="593ebc33df3d92.77837107"/></UML:StructuralFeature.type><UML:Attribute.initialValue><UML:Expression xmi.id="593ebc3bdf1cd3.45889989" body="&#039;Malware.Virus&#039;" /></UML:Attribute.initialValue></UML:Attribute><UML:Attribute xmi.id="593ebc37616290.13344414" name="MALWARE_WORM"  visibility="public"  isStatic="true" ownerScope="classifier" changeability="frozen" isReadOnly="true" ><UML:StructuralFeature.type><UML:DataType xmi.idref="593ebc33df3d92.77837107"/></UML:StructuralFeature.type><UML:Attribute.initialValue><UML:Expression xmi.id="593ebc3bdf1d45.77713191" body="&#039;Malware.Worm&#039;" /></UML:Attribute.initialValue></UML:Attribute><UML:Attribute xmi.id="593ebc37616376.97253289" name="MALWARE_TROJAN"  visibility="public"  isStatic="true" ownerScope="classifier" changeability="frozen" isReadOnly="true" ><UML:StructuralFeature.type><UML:DataType xmi.idref="593ebc33df3d92.77837107"/></UML:StructuralFeature.type><UML:Attribute.initialValue><UML:Expression xmi.id="593ebc3bdf1da0.52409494" body="&#039;Malware.Trojan&#039;" /></UML:Attribute.initialValue></UML:Attribute><UML:Attribute xmi.id="593ebc37616454.83982618" name="MALWARE_SPYWARE"  visibility="public"  isStatic="true" ownerScope="classifier" changeability="frozen" isReadOnly="true" ><UML:StructuralFeature.type><UML:DataType xmi.idref="593ebc33df3d92.77837107"/></UML:StructuralFeature.type><UML:Attribute.initialValue><UML:Expression xmi.id="593ebc3bdf1e02.30993510" body="&#039;Malware.Spyware&#039;" /></UML:Attribute.initialValue></UML:Attribute><UML:Attribute xmi.id="593ebc37616547.07896525" name="MALWARE_DIALER"  visibility="public"  isStatic="true" ownerScope="classifier" changeability="frozen" isReadOnly="true" ><UML:StructuralFeature.type><UML:DataType xmi.idref="593ebc33df3d92.77837107"/></UML:StructuralFeature.type><UML:Attribute.initialValue><UML:Expression xmi.id="593ebc3bdf1e78.62857807" body="&#039;Malware.Dialer&#039;" /></UML:Attribute.initialValue></UML:Attribute><UML:Attribute xmi.id="593ebc37616624.02890820" name="MALWARE_ROOTKIT"  visibility="public"  isStatic="true" ownerScope="classifier" changeability="frozen" isReadOnly="true" ><UML:StructuralFeature.type><UML:DataType xmi.idref="593ebc33df3d92.77837107"/></UML:StructuralFeature.type><UML:Attribute.initialValue><UML:Expression xmi.id="593ebc3bdf1ec9.63509150" body="&#039;Malware.Rootkit&#039;" /></UML:Attribute.initialValue></UML:Attribute><UML:Attribute xmi.id="593ebc376166f4.66767580" name="RECON_SCANNING"  visibility="public"  isStatic="true" ownerScope="classifier" changeability="frozen" isReadOnly="true" ><UML:StructuralFeature.type><UML:DataType xmi.idref="593ebc33df3d92.77837107"/></UML:StructuralFeature.type><UML:Attribute.initialValue><UML:Expression xmi.id="593ebc3bdf1f28.81893125" body="&#039;Recon.Scanning&#039;" /></UML:Attribute.initialValue></UML:Attribute><UML:Attribute xmi.id="593ebc376167f0.16599998" name="RECON_SNIFFING"  visibility="public"  isStatic="true" ownerScope="classifier" changeability="frozen" isReadOnly="true" ><UML:StructuralFeature.type><UML:DataType xmi.idref="593ebc33df3d92.77837107"/></UML:StructuralFeature.type><UML:Attribute.initialValue><UML:Expression xmi.id="593ebc3bdf1f85.34888414" body="&#039;Recon.Sniffing&#039;" /></UML:Attribute.initialValue></UML:Attribute><UML:Attribute xmi.id="593ebc376168f4.21126971" name="RECON_SOCIALENGINEERING"  visibility="public"  isStatic="true" ownerScope="classifier" changeability="frozen" isReadOnly="true" ><UML:StructuralFeature.type><UML:DataType xmi.idref="593ebc33df3d92.77837107"/></UML:StructuralFeature.type><UML:Attribute.initialValue><UML:Expression xmi.id="593ebc3bdf1fe7.73230903" body="&#039;Recon.SocialEngineering&#039;" /></UML:Attribute.initialValue></UML:Attribute><UML:Attribute xmi.id="593ebc376169f2.32756770" name="RECON_SEARCHING"  visibility="public"  isStatic="true" ownerScope="classifier" changeability="frozen" isReadOnly="true" ><UML:StructuralFeature.type><UML:DataType xmi.idref="593ebc33df3d92.77837107"/></UML:StructuralFeature.type><UML:Attribute.initialValue><UML:Expression xmi.id="593ebc3bdf2043.05384086" body="&#039;Recon.Searching&#039;" /></UML:Attribute.initialValue></UML:Attribute><UML:Attribute xmi.id="593ebc37616af3.15111029" name="ATTEMPT_EXPLOIT"  visibility="public"  isStatic="true" ownerScope="classifier" changeability="frozen" isReadOnly="true" ><UML:StructuralFeature.type><UML:DataType xmi.idref="593ebc33df3d92.77837107"/></UML:StructuralFeature.type><UML:Attribute.initialValue><UML:Expression xmi.id="593ebc3bdf20a6.34889121" body="&#039;Attempt.Exploit&#039;" /></UML:Attribute.initialValue></UML:Attribute><UML:Attribute xmi.id="593ebc37616bf9.30018731" name="ATTEMPT_LOGIN"  visibility="public"  isStatic="true" ownerScope="classifier" changeability="frozen" isReadOnly="true" ><UML:StructuralFeature.type><UML:DataType xmi.idref="593ebc33df3d92.77837107"/></UML:StructuralFeature.type><UML:Attribute.initialValue><UML:Expression xmi.id="593ebc3bdf20f4.46363014" body="&#039;Attempt.Login&#039;" /></UML:Attribute.initialValue></UML:Attribute><UML:Attribute xmi.id="593ebc37616cf0.18226254" name="ATTEMPT_NEWSIGNATURE"  visibility="public"  isStatic="true" ownerScope="classifier" changeability="frozen" isReadOnly="true" ><UML:StructuralFeature.type><UML:DataType xmi.idref="593ebc33df3d92.77837107"/></UML:StructuralFeature.type><UML:Attribute.initialValue><UML:Expression xmi.id="593ebc3bdf2155.43805284" body="&#039;Attempt.NewSignature&#039;" /></UML:Attribute.initialValue></UML:Attribute><UML:Attribute xmi.id="593ebc37616df6.35742101" name="INTRUSION_ADMINCOMPROMISE"  visibility="public"  isStatic="true" ownerScope="classifier" changeability="frozen" isReadOnly="true" ><UML:StructuralFeature.type><UML:DataType xmi.idref="593ebc33df3d92.77837107"/></UML:StructuralFeature.type><UML:Attribute.initialValue><UML:Expression xmi.id="593ebc3bdf21b9.03399427" body="&#039;Intrusion.AdminCompromise&#039;" /></UML:Attribute.initialValue></UML:Attribute><UML:Attribute xmi.id="593ebc37616ff1.02535269" name="INTRUSION_USERCOMPROMISE"  visibility="public"  isStatic="true" ownerScope="classifier" changeability="frozen" isReadOnly="true" ><UML:StructuralFeature.type><UML:DataType xmi.idref="593ebc33df3d92.77837107"/></UML:StructuralFeature.type><UML:Attribute.initialValue><UML:Expression xmi.id="593ebc3bdf2280.82950583" body="&#039;Intrusion.UserCompromise&#039;" /></UML:Attribute.initialValue></UML:Attribute><UML:Attribute xmi.id="593ebc37617115.78941387" name="INTRUSION_APPCOMPROMISE"  visibility="public"  isStatic="true" ownerScope="classifier" changeability="frozen" isReadOnly="true" ><UML:StructuralFeature.type><UML:DataType xmi.idref="593ebc33df3d92.77837107"/></UML:StructuralFeature.type><UML:Attribute.initialValue><UML:Expression xmi.id="593ebc3bdf22e5.34132074" body="&#039;Intrusion.AppCompromise&#039;" /></UML:Attribute.initialValue></UML:Attribute><UML:Attribute xmi.id="593ebc376171e1.23583543" name="INTRUSION_BOTNET"  visibility="public"  isStatic="true" ownerScope="classifier" changeability="frozen" isReadOnly="true" ><UML:StructuralFeature.type><UML:DataType xmi.idref="593ebc33df3d92.77837107"/></UML:StructuralFeature.type><UML:Attribute.initialValue><UML:Expression xmi.id="593ebc3bdf2354.26744261" body="&#039;Intrusion.Botnet&#039;" /></UML:Attribute.initialValue></UML:Attribute><UML:Attribute xmi.id="593ebc376172c2.26825324" name="AVAILABILITY_DOS"  visibility="public"  isStatic="true" ownerScope="classifier" changeability="frozen" isReadOnly="true" ><UML:StructuralFeature.type><UML:DataType xmi.idref="593ebc33df3d92.77837107"/></UML:StructuralFeature.type><UML:Attribute.initialValue><UML:Expression xmi.id="593ebc3bdf23a9.30948726" body="&#039;Availability.DoS&#039;" /></UML:Attribute.initialValue></UML:Attribute><UML:Attribute xmi.id="593ebc376173c7.84228555" name="AVAILABILITY_DDOS"  visibility="public"  isStatic="true" ownerScope="classifier" changeability="frozen" isReadOnly="true" ><UML:StructuralFeature.type><UML:DataType xmi.idref="593ebc33df3d92.77837107"/></UML:StructuralFeature.type><UML:Attribute.initialValue><UML:Expression xmi.id="593ebc3bdf2415.44293863" body="&#039;Availability.DDoS&#039;" /></UML:Attribute.initialValue></UML:Attribute><UML:Attribute xmi.id="593ebc37617493.12401763" name="AVAILABILITY_SABOTAGE"  visibility="public"  isStatic="true" ownerScope="classifier" changeability="frozen" isReadOnly="true" ><UML:StructuralFeature.type><UML:DataType xmi.idref="593ebc33df3d92.77837107"/></UML:StructuralFeature.type><UML:Attribute.initialValue><UML:Expression xmi.id="593ebc3bdf2469.26231569" body="&#039;Availability.Sabotage&#039;" /></UML:Attribute.initialValue></UML:Attribute><UML:Attribute xmi.id="593ebc376175a9.41322542" name="AVAILABILITY_OUTAGE"  visibility="public"  isStatic="true" ownerScope="classifier" changeability="frozen" isReadOnly="true" ><UML:StructuralFeature.type><UML:DataType xmi.idref="593ebc33df3d92.77837107"/></UML:StructuralFeature.type><UML:Attribute.initialValue><UML:Expression xmi.id="593ebc3bdf24c3.62919750" body="&#039;Availability.Outage&#039;" /></UML:Attribute.initialValue></UML:Attribute><UML:Attribute xmi.id="593ebc376176a8.47495129" name="INFORMATION_UNAUTHORIZEDACCESS"  visibility="public"  isStatic="true" ownerScope="classifier" changeability="frozen" isReadOnly="true" ><UML:StructuralFeature.type><UML:DataType xmi.idref="593ebc33df3d92.77837107"/></UML:StructuralFeature.type><UML:Attribute.initialValue><UML:Expression xmi.id="593ebc3bdf2527.32208862" body="&#039;Information.UnauthorizedAccess&#039;" /></UML:Attribute.initialValue></UML:Attribute><UML:Attribute xmi.id="593ebc376177a8.46394493" name="INFORMATION_UNAUTHORIZEDMODIFICATION"  visibility="public"  isStatic="true" ownerScope="classifier" changeability="frozen" isReadOnly="true" ><UML:StructuralFeature.type><UML:DataType xmi.idref="593ebc33df3d92.77837107"/></UML:StructuralFeature.type><UML:Attribute.initialValue><UML:Expression xmi.id="593ebc3bdf2582.32442965" body="&#039;Information.UnauthorizedModification&#039;" /></UML:Attribute.initialValue></UML:Attribute><UML:Attribute xmi.id="593ebc37617870.90883311" name="FRAUD_UNAUTHORIZEDUSAGE"  visibility="public"  isStatic="true" ownerScope="classifier" changeability="frozen" isReadOnly="true" ><UML:StructuralFeature.type><UML:DataType xmi.idref="593ebc33df3d92.77837107"/></UML:StructuralFeature.type><UML:Attribute.initialValue><UML:Expression xmi.id="593ebc3bdf2604.46174328" body="&#039;Fraud.UnauthorizedUsage&#039;" /></UML:Attribute.initialValue></UML:Attribute><UML:Attribute xmi.id="593ebc37617977.21346974" name="FRAUD_COPYRIGHT"  visibility="public"  isStatic="true" ownerScope="classifier" changeability="frozen" isReadOnly="true" ><UML:StructuralFeature.type><UML:DataType xmi.idref="593ebc33df3d92.77837107"/></UML:StructuralFeature.type><UML:Attribute.initialValue><UML:Expression xmi.id="593ebc3bdf2676.34447067" body="&#039;Fraud.Copyright&#039;" /></UML:Attribute.initialValue></UML:Attribute><UML:Attribute xmi.id="593ebc37617a79.38411293" name="FRAUD_MASQUERADE"  visibility="public"  isStatic="true" ownerScope="classifier" changeability="frozen" isReadOnly="true" ><UML:StructuralFeature.type><UML:DataType xmi.idref="593ebc33df3d92.77837107"/></UML:StructuralFeature.type><UML:Attribute.initialValue><UML:Expression xmi.id="593ebc3bdf26c0.70650754" body="&#039;Fraud.Masquerade&#039;" /></UML:Attribute.initialValue></UML:Attribute><UML:Attribute xmi.id="593ebc37617b79.52289612" name="FRAUD_PHISHING"  visibility="public"  isStatic="true" ownerScope="classifier" changeability="frozen" isReadOnly="true" ><UML:StructuralFeature.type><UML:DataType xmi.idref="593ebc33df3d92.77837107"/></UML:StructuralFeature.type><UML:Attribute.initialValue><UML:Expression xmi.id="593ebc3bdf2722.40593242" body="&#039;Fraud.Phishing&#039;" /></UML:Attribute.initialValue></UML:Attribute><UML:Attribute xmi.id="593ebc37617c71.82492497" name="FRAUD_SCAM"  visibility="public"  isStatic="true" ownerScope="classifier" changeability="frozen" isReadOnly="true" ><UML:StructuralFeature.type><UML:DataType xmi.idref="593ebc33df3d92.77837107"/></UML:StructuralFeature.type><UML:Attribute.initialValue><UML:Expression xmi.id="593ebc3bdf2789.26510180" body="&#039;Fraud.Scam&#039;" /></UML:Attribute.initialValue></UML:Attribute><UML:Attribute xmi.id="593ebc37617d74.31463391" name="VULNERABLE_OPEN"  visibility="public"  isStatic="true" ownerScope="classifier" changeability="frozen" isReadOnly="true" ><UML:StructuralFeature.type><UML:DataType xmi.idref="593ebc33df3d92.77837107"/></UML:StructuralFeature.type><UML:Attribute.initialValue><UML:Expression xmi.id="593ebc3bdf27e3.40253720" body="&#039;Vulnerable.Open&#039;" /></UML:Attribute.initialValue></UML:Attribute><UML:Attribute xmi.id="593ebc37617e79.81380140" name="VULNERABLE_CONFIG"  visibility="public"  isStatic="true" ownerScope="classifier" changeability="frozen" isReadOnly="true" ><UML:StructuralFeature.type><UML:DataType xmi.idref="593ebc33df3d92.77837107"/></UML:StructuralFeature.type><UML:Attribute.initialValue><UML:Expression xmi.id="593ebc3bdf2836.59201811" body="&#039;Vulnerable.Config&#039;" /></UML:Attribute.initialValue></UML:Attribute><UML:Attribute xmi.id="593ebc37617f70.46354660" name="ANOMALY_TRAFFIC"  visibility="public"  isStatic="true" ownerScope="classifier" changeability="frozen" isReadOnly="true" ><UML:StructuralFeature.type><UML:DataType xmi.idref="593ebc33df3d92.77837107"/></UML:StructuralFeature.type><UML:Attribute.initialValue><UML:Expression xmi.id="593ebc3bdf2894.00711478" body="&#039;Anomaly.Traffic&#039;" /></UML:Attribute.initialValue></UML:Attribute><UML:Attribute xmi.id="593ebc376180c5.93073197" name="ANOMALY_CONNECTION"  visibility="public"  isStatic="true" ownerScope="classifier" changeability="frozen" isReadOnly="true" ><UML:StructuralFeature.type><UML:DataType xmi.idref="593ebc33df3d92.77837107"/></UML:StructuralFeature.type><UML:Attribute.initialValue><UML:Expression xmi.id="593ebc3bdf28f2.87000935" body="&#039;Anomaly.Connection&#039;" /></UML:Attribute.initialValue></UML:Attribute><UML:Attribute xmi.id="593ebc376181a0.75022626" name="ANOMALY_PROTOCOL"  visibility="public"  isStatic="true" ownerScope="classifier" changeability="frozen" isReadOnly="true" ><UML:StructuralFeature.type><UML:DataType xmi.idref="593ebc33df3d92.77837107"/></UML:StructuralFeature.type><UML:Attribute.initialValue><UML:Expression xmi.id="593ebc3bdf2975.15539491" body="&#039;Anomaly.Protocol&#039;" /></UML:Attribute.initialValue></UML:Attribute><UML:Attribute xmi.id="593ebc376182a8.04445208" name="ANOMALY_SYSTEM"  visibility="public"  isStatic="true" ownerScope="classifier" changeability="frozen" isReadOnly="true" ><UML:StructuralFeature.type><UML:DataType xmi.idref="593ebc33df3d92.77837107"/></UML:StructuralFeature.type><UML:Attribute.initialValue><UML:Expression xmi.id="593ebc3bdf29d4.30773785" body="&#039;Anomaly.System&#039;" /></UML:Attribute.initialValue></UML:Attribute><UML:Attribute xmi.id="593ebc376183a8.73648732" name="ANOMALY_APPLICATION"  visibility="public"  isStatic="true" ownerScope="classifier" changeability="frozen" isReadOnly="true" ><UML:StructuralFeature.type><UML:DataType xmi.idref="593ebc33df3d92.77837107"/></UML:StructuralFeature.type><UML:Attribute.initialValue><UML:Expression xmi.id="593ebc3bdf2a35.93559109" body="&#039;Anomaly.Application&#039;" /></UML:Attribute.initialValue></UML:Attribute><UML:Attribute xmi.id="593ebc37618484.89775735" name="ANOMALY_BEHAVIOUR"  visibility="public"  isStatic="true" ownerScope="classifier" changeability="frozen" isReadOnly="true" ><UML:StructuralFeature.type><UML:DataType xmi.idref="593ebc33df3d92.77837107"/></UML:StructuralFeature.type><UML:Attribute.initialValue><UML:Expression xmi.id="593ebc3bdf2a90.65858753" body="&#039;Anomaly.Behaviour&#039;" /></UML:Attribute.initialValue></UML:Attribute><UML:Attribute xmi.id="593ebc37618576.29842172" name="OTHER"  visibility="public"  isStatic="true" ownerScope="classifier" changeability="frozen" isReadOnly="true" ><UML:StructuralFeature.type><UML:DataType xmi.idref="593ebc33df3d92.77837107"/></UML:StructuralFeature.type><UML:Attribute.initialValue><UML:Expression xmi.id="593ebc3bdf2af4.30921821" body="&#039;Other&#039;" /></UML:Attribute.initialValue></UML:Attribute><UML:Attribute xmi.id="593ebc37618678.96643885" name="TEST"  visibility="public"  isStatic="true" ownerScope="classifier" changeability="frozen" isReadOnly="true" ><UML:StructuralFeature.type><UML:DataType xmi.idref="593ebc33df3d92.77837107"/></UML:StructuralFeature.type><UML:Attribute.initialValue><UML:Expression xmi.id="593ebc3bdf2b55.96359392" body="&#039;Test&#039;" /></UML:Attribute.initialValue></UML:Attribute><UML:Operation xmi.id="593ebc37615595.23339295" name="getConstantsAll" visibility="public" isQuery="false" concurrency="sequential"><UML:BehavioralFeature.parameter><UML:Parameter xmi.id="593ebc37615775.26404211"  name="return" kind="return"><UML:Parameter.type><UML:DataType xmi.idref="593ebc33df3c31.69666467"/></UML:Parameter.type></UML:Parameter></UML:BehavioralFeature.parameter></UML:Operation><UML:Operation xmi.id="593ebc37615942.01792217" name="getConstantsNames" visibility="public" isQuery="false" concurrency="sequential"><UML:BehavioralFeature.parameter><UML:Parameter xmi.id="593ebc37615a54.32821751"  name="return" kind="return"><UML:Parameter.type><UML:DataType xmi.idref="593ebc33df3c31.69666467"/></UML:Parameter.type></UML:Parameter></UML:BehavioralFeature.parameter></UML:Operation></UML:Classifier.feature><UML:ModelElement.taggedValue><UML:TaggedValue xmi.id="593ebc3bdf2ca6.94290588" visibility="public"><UML:TaggedValue.dataValue>Classification of events for IDEA in the “Category” key</UML:TaggedValue.dataValue><UML:TaggedValue.type><UML:TagDefinition xmi.idref="f26758ec4db0aae9c238360df160a0e8"/></UML:TaggedValue.type></UML:TaggedValue></UML:ModelElement.taggedValue></UML:Class><UML:Class name="MysqlDAO" xmi.id="593ebc37b18982.25074705" visibility="package"
            isAbstract="false"><UML:Classifier.feature><UML:Attribute xmi.id="593ebc37b18d21.51728632" name="$pdo"  visibility="private"  ownerScope="instance"></UML:Attribute><UML:Attribute xmi.id="593ebc37b18fb3.80467894" name="$table"  visibility="private"  ownerScope="instance"><UML:StructuralFeature.type><UML:DataType xmi.idref="593ebc33df3d92.77837107"/></UML:StructuralFeature.type></UML:Attribute><UML:Attribute xmi.id="593ebc37b19159.24054996" name="$map"  visibility="private"  ownerScope="instance"><UML:StructuralFeature.type><UML:DataType xmi.idref="593ebc33df3c31.69666467"/></UML:StructuralFeature.type></UML:Attribute><UML:Operation xmi.id="593ebc37b19316.89767374" name="__construct" visibility="public" isQuery="false" concurrency="sequential"><UML:BehavioralFeature.parameter><UML:Parameter xmi.id="593ebc37b19557.32711369"  name="return" kind="return"><UML:Parameter.type><UML:DataType xmi.idref="593ebc33df4107.31312443"/></UML:Parameter.type></UML:Parameter><UML:Parameter xmi.id="593ebc37b195c9.44050554"  name="$database" kind="in"><UML:Parameter.type><UML:DataType xmi.idref="593ebc33df3d92.77837107"/></UML:Parameter.type></UML:Parameter><UML:Parameter xmi.id="593ebc37b19655.12045273"  name="$table" kind="in"><UML:Parameter.type><UML:DataType xmi.idref="593ebc33df3d92.77837107"/></UML:Parameter.type></UML:Parameter><UML:Parameter xmi.id="593ebc37b196d4.86744261"  name="$map" kind="in"><UML:Parameter.type><UML:DataType xmi.idref="593ebc33df3c31.69666467"/></UML:Parameter.type></UML:Parameter></UML:BehavioralFeature.parameter><UML:ModelElement.taggedValue><UML:TaggedValue xmi.id="593ebc3bdf30a1.39618336" visibility="public"><UML:TaggedValue.dataValue>Create a Mysql Connection</UML:TaggedValue.dataValue><UML:TaggedValue.type><UML:TagDefinition xmi.idref="f26758ec4db0aae9c238360df160a0e8"/></UML:TaggedValue.type></UML:TaggedValue></UML:ModelElement.taggedValue></UML:Operation><UML:Operation xmi.id="593ebc37b1a4c4.11392316" name="findByUniqueWardens" visibility="public" isQuery="false" concurrency="sequential"><UML:BehavioralFeature.parameter><UML:Parameter xmi.id="593ebc37b1ac10.99159221"  name="return" kind="return"><UML:Parameter.type><UML:DataType xmi.idref="593ebc33df3c31.69666467"/></UML:Parameter.type></UML:Parameter><UML:Parameter xmi.id="593ebc37b1ac95.02544323"  name="$wardensIds" kind="in"><UML:Parameter.type><UML:DataType xmi.idref="593ebc33df3c31.69666467"/></UML:Parameter.type></UML:Parameter></UML:BehavioralFeature.parameter><UML:ModelElement.taggedValue><UML:TaggedValue xmi.id="593ebc3bdf31a2.38338333" visibility="public"><UML:TaggedValue.dataValue>Retrieve unique Idea's from 'av_signatures' database table 'custom_signatures' that were not already exported before</UML:TaggedValue.dataValue><UML:TaggedValue.type><UML:TagDefinition xmi.idref="f26758ec4db0aae9c238360df160a0e8"/></UML:TaggedValue.type></UML:TaggedValue></UML:ModelElement.taggedValue></UML:Operation><UML:Operation xmi.id="593ebc37b1b221.36336919" name="findByDetectTime" visibility="public" isQuery="false" concurrency="sequential"><UML:BehavioralFeature.parameter><UML:Parameter xmi.id="593ebc37b1b568.93725775"  name="return" kind="return"><UML:Parameter.type><UML:DataType xmi.idref="593ebc33df3c31.69666467"/></UML:Parameter.type></UML:Parameter><UML:Parameter xmi.id="593ebc37b1b5d3.24278904"  name="$time" kind="in"><UML:Parameter.type><UML:DataType xmi.idref="593ebc33df3d92.77837107"/></UML:Parameter.type></UML:Parameter></UML:BehavioralFeature.parameter><UML:ModelElement.taggedValue><UML:TaggedValue xmi.id="593ebc3bdf32a4.45374762" visibility="public"><UML:TaggedValue.dataValue>Retrieve new Wardens since last execution specified by $time parameter, eg:
00:30:00 (Wardens whom 'date_modified' table field were updated 30 minutes ago will be retrieved)</UML:TaggedValue.dataValue><UML:TaggedValue.type><UML:TagDefinition xmi.idref="f26758ec4db0aae9c238360df160a0e8"/></UML:TaggedValue.type></UML:TaggedValue></UML:ModelElement.taggedValue></UML:Operation><UML:Operation xmi.id="593ebc37b1bb46.92546216" name="getBaseSQLStatement" visibility="private" isQuery="false" concurrency="sequential"><UML:BehavioralFeature.parameter><UML:Parameter xmi.id="593ebc37b1bc74.71476188"  name="return" kind="return"></UML:Parameter></UML:BehavioralFeature.parameter></UML:Operation><UML:Operation xmi.id="593ebc37b1c121.15719219" name="getWardensFromPDO" visibility="public" isQuery="false" concurrency="sequential"><UML:BehavioralFeature.parameter><UML:Parameter xmi.id="593ebc37b1c327.80504093"  name="return" kind="return"><UML:Parameter.type><UML:DataType xmi.idref="593ebc33df3c31.69666467"/></UML:Parameter.type></UML:Parameter><UML:Parameter xmi.id="593ebc37b1c378.12210744"  name="$sqlStatement" kind="in"><UML:Parameter.type><UML:DataType xmi.idref="593ebc33cca916.80865133"/></UML:Parameter.type></UML:Parameter><UML:Parameter xmi.id="593ebc37b1c409.58751642"  name="$params" kind="in"><UML:Parameter.type><UML:DataType xmi.idref="593ebc33df3d92.77837107"/></UML:Parameter.type><UML:Parameter.defaultValue><UML:Expression xmi.id="593ebc3bdf3403.63117193" body="&#039;&#039;" /></UML:Parameter.defaultValue></UML:Parameter></UML:BehavioralFeature.parameter><UML:ModelElement.taggedValue><UML:TaggedValue xmi.id="593ebc3bdf3482.29093754" visibility="public"><UML:TaggedValue.dataValue>Query the database and return Warden objects from it</UML:TaggedValue.dataValue><UML:TaggedValue.type><UML:TagDefinition xmi.idref="f26758ec4db0aae9c238360df160a0e8"/></UML:TaggedValue.type></UML:TaggedValue></UML:ModelElement.taggedValue></UML:Operation><UML:Operation xmi.id="593ebc37b1ca69.91592950" name="isConnected" visibility="public" isQuery="false" concurrency="sequential"><UML:BehavioralFeature.parameter><UML:Parameter xmi.id="593ebc37b1cb89.79010625"  name="return" kind="return"><UML:Parameter.type><UML:DataType xmi.idref="593ebc33df3ff4.63700086"/></UML:Parameter.type></UML:Parameter></UML:BehavioralFeature.parameter></UML:Operation></UML:Classifier.feature></UML:Class><UML:Abstraction xmi.id="593ebc3bdf3568.23811864" isSpecification="false"><UML:ModelElement.stereotype><UML:Stereotype xmi.idref="0dfd8cda248f8c6c84d7291bf83243b1"/></UML:ModelElement.stereotype><UML:Dependency.client><UML:Class xmi.idref="593ebc37b18982.25074705"/></UML:Dependency.client><UML:Dependency.supplier><UML:Interface xmi.idref="593ebc375784e1.92629601"/></UML:Dependency.supplier></UML:Abstraction><UML:Class name="PDOMysql" xmi.id="593ebc38706730.12763146" visibility="package"
            isAbstract="false"><UML:Classifier.feature></UML:Classifier.feature><UML:ModelElement.taggedValue><UML:TaggedValue xmi.id="593ebc3bdf3627.73685801" visibility="public"><UML:TaggedValue.dataValue>Description of PDOMysql</UML:TaggedValue.dataValue><UML:TaggedValue.type><UML:TagDefinition xmi.idref="f26758ec4db0aae9c238360df160a0e8"/></UML:TaggedValue.type></UML:TaggedValue></UML:ModelElement.taggedValue></UML:Class><UML:Class name="Pool" xmi.id="593ebc38a3a987.56103760" visibility="package"
            isAbstract="true"><UML:Classifier.feature><UML:Attribute xmi.id="593ebc38a3aed9.80016656" name="$busyWardens"  visibility="private"  isStatic="true" ownerScope="classifier"><UML:StructuralFeature.type><UML:DataType xmi.idref="593ebc33df3c31.69666467"/></UML:StructuralFeature.type></UML:Attribute><UML:Attribute xmi.id="593ebc38a3b182.58362052" name="$freeWardens"  visibility="private"  isStatic="true" ownerScope="classifier"><UML:StructuralFeature.type><UML:DataType xmi.idref="593ebc33df3c31.69666467"/></UML:StructuralFeature.type></UML:Attribute><UML:Operation xmi.id="593ebc38a3b376.41725918" name="get" visibility="public" isQuery="false" concurrency="sequential"><UML:BehavioralFeature.parameter><UML:Parameter xmi.id="593ebc38a3b6d9.62192907"  name="return" kind="return"><UML:Parameter.type><UML:DataType xmi.idref="593ebc3a0bf076.52613654"/></UML:Parameter.type></UML:Parameter></UML:BehavioralFeature.parameter></UML:Operation><UML:Operation xmi.id="593ebc38a3ba70.40797206" name="set" visibility="public" isQuery="false" concurrency="sequential"><UML:BehavioralFeature.parameter><UML:Parameter xmi.id="593ebc38a3bbc7.17846198"  name="return" kind="return"><UML:Parameter.type><UML:DataType xmi.idref="593ebc33df4107.31312443"/></UML:Parameter.type></UML:Parameter><UML:Parameter xmi.id="593ebc38a3bc33.29982889"  name="$warden" kind="in"></UML:Parameter></UML:BehavioralFeature.parameter></UML:Operation><UML:Operation xmi.id="593ebc38a3bdf4.99002990" name="dispose" visibility="public" isQuery="false" concurrency="sequential"><UML:BehavioralFeature.parameter><UML:Parameter xmi.id="593ebc38a3bf89.87991563"  name="return" kind="return"><UML:Parameter.type><UML:DataType xmi.idref="593ebc33df4107.31312443"/></UML:Parameter.type></UML:Parameter><UML:Parameter xmi.id="593ebc38a3bfe8.45408395"  name="$warden" kind="in"><UML:Parameter.type><UML:DataType xmi.idref="593ebc3a0bf076.52613654"/></UML:Parameter.type></UML:Parameter></UML:BehavioralFeature.parameter><UML:ModelElement.taggedValue><UML:TaggedValue xmi.id="593ebc3bdf3931.14786425" visibility="public"><UML:TaggedValue.dataValue>Dispose a \warden\src\Warden object</UML:TaggedValue.dataValue><UML:TaggedValue.type><UML:TagDefinition xmi.idref="f26758ec4db0aae9c238360df160a0e8"/></UML:TaggedValue.type></UML:TaggedValue></UML:ModelElement.taggedValue></UML:Operation><UML:Operation xmi.id="593ebc38a3c342.85581834" name="disposeAll" visibility="public" isQuery="false" concurrency="sequential"><UML:BehavioralFeature.parameter><UML:Parameter xmi.id="593ebc38a3c457.54702150"  name="return" kind="return"><UML:Parameter.type><UML:DataType xmi.idref="593ebc33df4107.31312443"/></UML:Parameter.type></UML:Parameter></UML:BehavioralFeature.parameter><UML:ModelElement.taggedValue><UML:TaggedValue xmi.id="593ebc3bdf39e2.93773491" visibility="public"><UML:TaggedValue.dataValue>unset all the pool</UML:TaggedValue.dataValue><UML:TaggedValue.type><UML:TagDefinition xmi.idref="f26758ec4db0aae9c238360df160a0e8"/></UML:TaggedValue.type></UML:TaggedValue></UML:ModelElement.taggedValue></UML:Operation><UML:Operation xmi.id="593ebc38a3c636.52482907" name="count" visibility="public" isQuery="false" concurrency="sequential"><UML:BehavioralFeature.parameter><UML:Parameter xmi.id="593ebc38a3c865.82320236"  name="return" kind="return"><UML:Parameter.type><UML:DataType xmi.idref="593ebc33df3e38.79445367"/></UML:Parameter.type></UML:Parameter></UML:BehavioralFeature.parameter></UML:Operation></UML:Classifier.feature><UML:ModelElement.taggedValue><UML:TaggedValue xmi.id="593ebc3bdf3ab0.53569088" visibility="public"><UML:TaggedValue.dataValue>Pool of \warden\src\Warden objects</UML:TaggedValue.dataValue><UML:TaggedValue.type><UML:TagDefinition xmi.idref="f26758ec4db0aae9c238360df160a0e8"/></UML:TaggedValue.type></UML:TaggedValue></UML:ModelElement.taggedValue></UML:Class><UML:Abstraction xmi.id="593ebc3bdf3af1.06190747" isSpecification="false"><UML:ModelElement.stereotype><UML:Stereotype xmi.idref="0dfd8cda248f8c6c84d7291bf83243b1"/></UML:ModelElement.stereotype><UML:Dependency.client><UML:Class xmi.idref="593ebc38a3a987.56103760"/></UML:Dependency.client><UML:Dependency.supplier><UML:Interface xmi.idref="593ebc34934971.92352409"/></UML:Dependency.supplier></UML:Abstraction><UML:Class name="WardenFileSystem" xmi.id="593ebc38ec9546.02749623" visibility="package"
            isAbstract="false"><UML:Classifier.feature><UML:Attribute xmi.id="593ebc38ec9ab7.36501639" name="$exportDir"  visibility="private"  ownerScope="instance"><UML:StructuralFeature.type><UML:DataType xmi.idref="593ebc33df3d92.77837107"/></UML:StructuralFeature.type><UML:Attribute.initialValue><UML:Expression xmi.id="593ebc3bdf3ba7.36491536" body="&#039;/../idea/incoming/&#039;" /></UML:Attribute.initialValue></UML:Attribute><UML:Attribute xmi.id="593ebc38ec9dd2.51955499" name="EXPORT_DIR_OLD"  visibility="public"  isStatic="true" ownerScope="classifier" changeability="frozen" isReadOnly="true" ><UML:StructuralFeature.type><UML:DataType xmi.idref="593ebc33df3d92.77837107"/></UML:StructuralFeature.type><UML:Attribute.initialValue><UML:Expression xmi.id="593ebc3bdf3c23.84478923" body="&#039;&#039;" /></UML:Attribute.initialValue></UML:Attribute><UML:Operation xmi.id="593ebc38ecbcd5.43333509" name="getIdeasFromFileSystem" visibility="public" isQuery="false" concurrency="sequential"><UML:BehavioralFeature.parameter><UML:Parameter xmi.id="593ebc38ecc1a2.88926134"  name="return" kind="return"><UML:Parameter.type><UML:DataType xmi.idref="593ebc33df3c31.69666467"/></UML:Parameter.type></UML:Parameter></UML:BehavioralFeature.parameter><UML:ModelElement.taggedValue><UML:TaggedValue xmi.id="593ebc3bdf3ce4.15222638" visibility="public"><UML:TaggedValue.dataValue>Returns an array of Warden objects instantiated from export $exportDir</UML:TaggedValue.dataValue><UML:TaggedValue.type><UML:TagDefinition xmi.idref="f26758ec4db0aae9c238360df160a0e8"/></UML:TaggedValue.type></UML:TaggedValue></UML:ModelElement.taggedValue></UML:Operation><UML:Operation xmi.id="593ebc38ecc803.26064502" name="export" visibility="public" isQuery="false" concurrency="sequential"><UML:BehavioralFeature.parameter><UML:Parameter xmi.id="593ebc38ecca28.92292889"  name="return" kind="return"><UML:Parameter.type><UML:DataType xmi.idref="593ebc33df4107.31312443"/></UML:Parameter.type></UML:Parameter><UML:Parameter xmi.id="593ebc38eccab6.53374696"  name="$wardens" kind="in"><UML:Parameter.type><UML:DataType xmi.idref="593ebc33df3c31.69666467"/></UML:Parameter.type></UML:Parameter></UML:BehavioralFeature.parameter><UML:ModelElement.taggedValue><UML:TaggedValue xmi.id="593ebc3bdf3df1.25261978" visibility="public"><UML:TaggedValue.dataValue>Export Warden objects to filesystem</UML:TaggedValue.dataValue><UML:TaggedValue.type><UML:TagDefinition xmi.idref="f26758ec4db0aae9c238360df160a0e8"/></UML:TaggedValue.type></UML:TaggedValue></UML:ModelElement.taggedValue></UML:Operation><UML:Operation xmi.id="593ebc38eccf96.45897300" name="getDir" visibility="public" isQuery="false" concurrency="sequential"><UML:BehavioralFeature.parameter><UML:Parameter xmi.id="593ebc38ecd0c8.39788251"  name="return" kind="return"></UML:Parameter></UML:BehavioralFeature.parameter></UML:Operation><UML:Operation xmi.id="593ebc38ecd1f7.36431644" name="setDir" visibility="public" isQuery="false" concurrency="sequential"><UML:BehavioralFeature.parameter><UML:Parameter xmi.id="593ebc38ecd306.94357475"  name="return" kind="return"><UML:Parameter.type><UML:DataType xmi.idref="593ebc33df4107.31312443"/></UML:Parameter.type></UML:Parameter><UML:Parameter xmi.id="593ebc38ecd368.73155752"  name="$dir" kind="in"><UML:Parameter.type><UML:DataType xmi.idref="593ebc33cca916.80865133"/></UML:Parameter.type></UML:Parameter></UML:BehavioralFeature.parameter></UML:Operation><UML:Operation xmi.id="593ebc38ecd4c2.32492201" name="getDirResource" visibility="private" isQuery="false" concurrency="sequential"><UML:BehavioralFeature.parameter><UML:Parameter xmi.id="593ebc38ecd646.39488872"  name="return" kind="return"><UML:Parameter.type><UML:DataType xmi.idref="593ebc33df42c7.86064637"/></UML:Parameter.type></UML:Parameter></UML:BehavioralFeature.parameter></UML:Operation></UML:Classifier.feature><UML:ModelElement.taggedValue><UML:TaggedValue xmi.id="593ebc3bdf3fc6.22635505" visibility="public"><UML:TaggedValue.dataValue>Class responsible for manipulating JSON idea files</UML:TaggedValue.dataValue><UML:TaggedValue.type><UML:TagDefinition xmi.idref="f26758ec4db0aae9c238360df160a0e8"/></UML:TaggedValue.type></UML:TaggedValue></UML:ModelElement.taggedValue></UML:Class><UML:Class name="WardenManager" xmi.id="593ebc396cd582.56134603" visibility="package"
            isAbstract="false"><UML:GeneralizableElement.generalization>
                    <UML:Generalization xmi.idref="593ebc3bdf4074.55515311"/>
                    </UML:GeneralizableElement.generalization><UML:Classifier.feature><UML:Attribute xmi.id="593ebc396cdd57.89722957" name="$wardenManager"  visibility="private"  isStatic="true" ownerScope="classifier"></UML:Attribute><UML:Attribute xmi.id="593ebc396ce107.32314370" name="WARDEN_VERSION"  visibility="public"  isStatic="true" ownerScope="classifier" changeability="frozen" isReadOnly="true" ><UML:StructuralFeature.type><UML:DataType xmi.idref="593ebc33df3d92.77837107"/></UML:StructuralFeature.type><UML:Attribute.initialValue><UML:Expression xmi.id="593ebc3bdf4135.82932430" body="&#039;&#039;" /></UML:Attribute.initialValue></UML:Attribute><UML:Attribute xmi.id="593ebc396ce3e7.12903967" name="$wardens"  visibility="private"  ownerScope="instance"><UML:StructuralFeature.type><UML:DataType xmi.idref="593ebc33df3c31.69666467"/></UML:StructuralFeature.type></UML:Attribute><UML:Operation xmi.id="593ebc396ce652.85082756" name="__construct" visibility="private" isQuery="false" concurrency="sequential"><UML:BehavioralFeature.parameter><UML:Parameter xmi.id="593ebc396ce811.31196500"  name="return" kind="return"><UML:Parameter.type><UML:DataType xmi.idref="593ebc33df4107.31312443"/></UML:Parameter.type></UML:Parameter></UML:BehavioralFeature.parameter><UML:ModelElement.taggedValue><UML:TaggedValue xmi.id="593ebc3bdf4268.20845710" visibility="public"><UML:TaggedValue.dataValue>no one can access the constructor</UML:TaggedValue.dataValue><UML:TaggedValue.type><UML:TagDefinition xmi.idref="f26758ec4db0aae9c238360df160a0e8"/></UML:TaggedValue.type></UML:TaggedValue></UML:ModelElement.taggedValue></UML:Operation><UML:Operation xmi.id="593ebc396ce9b7.95598739" name="__clone" visibility="public" isQuery="false" concurrency="sequential"><UML:BehavioralFeature.parameter><UML:Parameter xmi.id="593ebc396cebf1.25944739"  name="return" kind="return"><UML:Parameter.type><UML:DataType xmi.idref="593ebc33df4107.31312443"/></UML:Parameter.type></UML:Parameter></UML:BehavioralFeature.parameter><UML:ModelElement.taggedValue><UML:TaggedValue xmi.id="593ebc3bdf4310.04233366" visibility="public"><UML:TaggedValue.dataValue>not even clone</UML:TaggedValue.dataValue><UML:TaggedValue.type><UML:TagDefinition xmi.idref="f26758ec4db0aae9c238360df160a0e8"/></UML:TaggedValue.type></UML:TaggedValue></UML:ModelElement.taggedValue></UML:Operation><UML:Operation xmi.id="593ebc396cee25.75451179" name="getWardenManager" visibility="public" isStatic="true" isQuery="false" concurrency="sequential"><UML:BehavioralFeature.parameter><UML:Parameter xmi.id="593ebc396cf080.26873480"  name="return" kind="return"><UML:Parameter.type><UML:DataType xmi.idref="593ebc396cd582.56134603"/></UML:Parameter.type></UML:Parameter></UML:BehavioralFeature.parameter><UML:ModelElement.taggedValue><UML:TaggedValue xmi.id="593ebc3bdf43d4.35928134" visibility="public"><UML:TaggedValue.dataValue>Get an instance of WardenManager</UML:TaggedValue.dataValue><UML:TaggedValue.type><UML:TagDefinition xmi.idref="f26758ec4db0aae9c238360df160a0e8"/></UML:TaggedValue.type></UML:TaggedValue></UML:ModelElement.taggedValue></UML:Operation><UML:Operation xmi.id="593ebc396cf3d4.31060514" name="import" visibility="public" isQuery="false" concurrency="sequential"><UML:BehavioralFeature.parameter><UML:Parameter xmi.id="593ebc396cf774.26530091"  name="return" kind="return"><UML:Parameter.type><UML:DataType xmi.idref="593ebc33df4107.31312443"/></UML:Parameter.type></UML:Parameter><UML:Parameter xmi.id="593ebc396cf818.64924257"  name="$ideasArray" kind="in"><UML:Parameter.type><UML:DataType xmi.idref="593ebc33df3c31.69666467"/></UML:Parameter.type></UML:Parameter></UML:BehavioralFeature.parameter><UML:ModelElement.taggedValue><UML:TaggedValue xmi.id="593ebc3bdf44c5.47129580" visibility="public"><UML:TaggedValue.dataValue>Instantiate Warden objects for each Json idea from $ideasArray and store them into self::wardens array</UML:TaggedValue.dataValue><UML:TaggedValue.type><UML:TagDefinition xmi.idref="f26758ec4db0aae9c238360df160a0e8"/></UML:TaggedValue.type></UML:TaggedValue></UML:ModelElement.taggedValue></UML:Operation><UML:Operation xmi.id="593ebc396d04d9.60661474" name="getWardensIDs" visibility="public" isQuery="false" concurrency="sequential"><UML:BehavioralFeature.parameter><UML:Parameter xmi.id="593ebc396d07c8.84173358"  name="return" kind="return"><UML:Parameter.type><UML:DataType xmi.idref="593ebc33df3c31.69666467"/></UML:Parameter.type></UML:Parameter></UML:BehavioralFeature.parameter></UML:Operation><UML:Operation xmi.id="593ebc396d0bc2.40620924" name="getWardens" visibility="public" isQuery="false" concurrency="sequential"><UML:BehavioralFeature.parameter><UML:Parameter xmi.id="593ebc396d0d93.58914295"  name="return" kind="return"><UML:Parameter.type><UML:DataType xmi.idref="593ebc33df3c31.69666467"/></UML:Parameter.type></UML:Parameter></UML:BehavioralFeature.parameter></UML:Operation><UML:Operation xmi.id="593ebc396d0f84.16924069" name="setWardens" visibility="public" isQuery="false" concurrency="sequential"><UML:BehavioralFeature.parameter><UML:Parameter xmi.id="593ebc396d1115.89210927"  name="return" kind="return"><UML:Parameter.type><UML:DataType xmi.idref="593ebc33df4107.31312443"/></UML:Parameter.type></UML:Parameter><UML:Parameter xmi.id="593ebc396d11b7.19013896"  name="$wardens" kind="in"><UML:Parameter.type><UML:DataType xmi.idref="593ebc33df3c31.69666467"/></UML:Parameter.type></UML:Parameter></UML:BehavioralFeature.parameter></UML:Operation></UML:Classifier.feature><UML:ModelElement.taggedValue><UML:TaggedValue xmi.id="593ebc3bdf4690.09010975" visibility="public"><UML:TaggedValue.dataValue>Class responsible for manipulating Warden objects: importing, exporting, etc</UML:TaggedValue.dataValue><UML:TaggedValue.type><UML:TagDefinition xmi.idref="f26758ec4db0aae9c238360df160a0e8"/></UML:TaggedValue.type></UML:TaggedValue></UML:ModelElement.taggedValue></UML:Class><UML:Generalization xmi.id="593ebc3bdf4074.55515311">
                    <UML:Generalization.child><UML:Class xmi.idref="593ebc396cd582.56134603" /></UML:Generalization.child>
                    <UML:Generalization.parent><UML:Class xmi.idref="593ebc38ec9546.02749623"/>
                    </UML:Generalization.parent></UML:Generalization><UML:Class name="Warden" xmi.id="593ebc3a0bf076.52613654" visibility="package"
            isAbstract="false"><UML:Classifier.feature><UML:Attribute xmi.id="593ebc3a0bf5e6.79601017" name="$id"  visibility="private"  ownerScope="instance"></UML:Attribute><UML:Attribute xmi.id="593ebc3a0bf8a1.54798657" name="$name"  visibility="private"  ownerScope="instance"></UML:Attribute><UML:Attribute xmi.id="593ebc3a0bfb49.29652111" name="$hash"  visibility="private"  ownerScope="instance"></UML:Attribute><UML:Attribute xmi.id="593ebc3a0bfd96.36361550" name="$format"  visibility="private"  ownerScope="instance"><UML:StructuralFeature.type><UML:DataType xmi.idref="593ebc33df3d92.77837107"/></UML:StructuralFeature.type><UML:Attribute.initialValue><UML:Expression xmi.id="593ebc3bdf4864.82365916" body="&#039;IDEA0&#039;" /></UML:Attribute.initialValue></UML:Attribute><UML:Attribute xmi.id="593ebc3a0bff94.26660013" name="$detectTime"  visibility="private"  ownerScope="instance"></UML:Attribute><UML:Attribute xmi.id="593ebc3a0c0205.58310534" name="$category"  visibility="private"  ownerScope="instance"><UML:StructuralFeature.type><UML:DataType xmi.idref="593ebc33df3c31.69666467"/></UML:StructuralFeature.type></UML:Attribute><UML:Attribute xmi.id="593ebc3a0c04b7.39110786" name="$count"  visibility="private"  ownerScope="instance"><UML:StructuralFeature.type><UML:DataType xmi.idref="593ebc33df3e38.79445367"/></UML:StructuralFeature.type><UML:Attribute.initialValue><UML:Expression xmi.id="593ebc3bdf4997.47350207" body="1" /></UML:Attribute.initialValue></UML:Attribute><UML:Attribute xmi.id="593ebc3a0c06a4.63586071" name="$hex"  visibility="private"  ownerScope="instance"></UML:Attribute><UML:Operation xmi.id="593ebc3a0c0858.23113109" name="__toString" visibility="public" isQuery="false" concurrency="sequential"><UML:BehavioralFeature.parameter><UML:Parameter xmi.id="593ebc3a0c0a76.43733903"  name="return" kind="return"></UML:Parameter></UML:BehavioralFeature.parameter><UML:ModelElement.taggedValue><UML:TaggedValue xmi.id="593ebc3bdf4ab9.03412689" visibility="public"><UML:TaggedValue.dataValue>Just in case if someone try to echo the object</UML:TaggedValue.dataValue><UML:TaggedValue.type><UML:TagDefinition xmi.idref="f26758ec4db0aae9c238360df160a0e8"/></UML:TaggedValue.type></UML:TaggedValue></UML:ModelElement.taggedValue></UML:Operation><UML:Operation xmi.id="593ebc3a0c0c81.27220908" name="jsonSerialize" visibility="public" isQuery="false" concurrency="sequential"><UML:BehavioralFeature.parameter><UML:Parameter xmi.id="593ebc3a0c0da2.52751391"  name="return" kind="return"><UML:Parameter.type><UML:DataType xmi.idref="593ebc33df4107.31312443"/></UML:Parameter.type></UML:Parameter></UML:BehavioralFeature.parameter><UML:ModelElement.taggedValue><UML:TaggedValue xmi.id="593ebc3bdf4b52.38777579" visibility="public"><UML:TaggedValue.dataValue>JSON idea file representation</UML:TaggedValue.dataValue><UML:TaggedValue.type><UML:TagDefinition xmi.idref="f26758ec4db0aae9c238360df160a0e8"/></UML:TaggedValue.type></UML:TaggedValue></UML:ModelElement.taggedValue></UML:Operation><UML:Operation xmi.id="593ebc3a0c12f0.31729154" name="getId" visibility="public" isQuery="false" concurrency="sequential"><UML:BehavioralFeature.parameter><UML:Parameter xmi.id="593ebc3a0c15d9.93532667"  name="return" kind="return"></UML:Parameter></UML:BehavioralFeature.parameter></UML:Operation><UML:Operation xmi.id="593ebc3a0c1743.88057788" name="getName" visibility="public" isQuery="false" concurrency="sequential"><UML:BehavioralFeature.parameter><UML:Parameter xmi.id="593ebc3a0c1936.20774316"  name="return" kind="return"></UML:Parameter></UML:BehavioralFeature.parameter></UML:Operation><UML:Operation xmi.id="593ebc3a0c1a86.17910553" name="getHash" visibility="public" isQuery="false" concurrency="sequential"><UML:BehavioralFeature.parameter><UML:Parameter xmi.id="593ebc3a0c1c20.86834615"  name="return" kind="return"></UML:Parameter></UML:BehavioralFeature.parameter></UML:Operation><UML:Operation xmi.id="593ebc3a0c1d91.00044289" name="getFormat" visibility="public" isQuery="false" concurrency="sequential"><UML:BehavioralFeature.parameter><UML:Parameter xmi.id="593ebc3a0c1f04.25910834"  name="return" kind="return"></UML:Parameter></UML:BehavioralFeature.parameter></UML:Operation><UML:Operation xmi.id="593ebc3a0c2050.67136839" name="getDetectTime" visibility="public" isQuery="false" concurrency="sequential"><UML:BehavioralFeature.parameter><UML:Parameter xmi.id="593ebc3a0c2762.86627494"  name="return" kind="return"></UML:Parameter></UML:BehavioralFeature.parameter></UML:Operation><UML:Operation xmi.id="593ebc3a0c28f5.22203818" name="getCategory" visibility="public" isQuery="false" concurrency="sequential"><UML:BehavioralFeature.parameter><UML:Parameter xmi.id="593ebc3a0c2b30.12077582"  name="return" kind="return"><UML:Parameter.type><UML:DataType xmi.idref="593ebc33df3c31.69666467"/></UML:Parameter.type></UML:Parameter></UML:BehavioralFeature.parameter></UML:Operation><UML:Operation xmi.id="593ebc3a0c2ca0.29702132" name="getCount" visibility="public" isQuery="false" concurrency="sequential"><UML:BehavioralFeature.parameter><UML:Parameter xmi.id="593ebc3a0c2ea2.74952866"  name="return" kind="return"></UML:Parameter></UML:BehavioralFeature.parameter></UML:Operation><UML:Operation xmi.id="593ebc3a0c3002.06153359" name="getHex" visibility="public" isQuery="false" concurrency="sequential"><UML:BehavioralFeature.parameter><UML:Parameter xmi.id="593ebc3a0c3179.63834966"  name="return" kind="return"></UML:Parameter></UML:BehavioralFeature.parameter></UML:Operation><UML:Operation xmi.id="593ebc3a0c32d7.39131224" name="setId" visibility="public" isQuery="false" concurrency="sequential"><UML:BehavioralFeature.parameter><UML:Parameter xmi.id="593ebc3a0c3550.56607481"  name="return" kind="return"><UML:Parameter.type><UML:DataType xmi.idref="593ebc33df4107.31312443"/></UML:Parameter.type></UML:Parameter><UML:Parameter xmi.id="593ebc3a0c35d9.72470440"  name="$id" kind="in"><UML:Parameter.type><UML:DataType xmi.idref="593ebc33cca916.80865133"/></UML:Parameter.type></UML:Parameter></UML:BehavioralFeature.parameter><UML:ModelElement.taggedValue><UML:TaggedValue xmi.id="593ebc3bdf4f81.31234923" visibility="public"><UML:TaggedValue.dataValue>Set the idea identifier</UML:TaggedValue.dataValue><UML:TaggedValue.type><UML:TagDefinition xmi.idref="f26758ec4db0aae9c238360df160a0e8"/></UML:TaggedValue.type></UML:TaggedValue></UML:ModelElement.taggedValue></UML:Operation><UML:Operation xmi.id="593ebc3a0c3919.56079154" name="setName" visibility="public" isQuery="false" concurrency="sequential"><UML:BehavioralFeature.parameter><UML:Parameter xmi.id="593ebc3a0c3ae4.03473622"  name="return" kind="return"><UML:Parameter.type><UML:DataType xmi.idref="593ebc33df4107.31312443"/></UML:Parameter.type></UML:Parameter><UML:Parameter xmi.id="593ebc3a0c3b44.52788345"  name="$name" kind="in"><UML:Parameter.type><UML:DataType xmi.idref="593ebc33cca916.80865133"/></UML:Parameter.type></UML:Parameter></UML:BehavioralFeature.parameter><UML:ModelElement.taggedValue><UML:TaggedValue xmi.id="593ebc3bdf5076.75648036" visibility="public"><UML:TaggedValue.dataValue>Set the idea name</UML:TaggedValue.dataValue><UML:TaggedValue.type><UML:TagDefinition xmi.idref="f26758ec4db0aae9c238360df160a0e8"/></UML:TaggedValue.type></UML:TaggedValue></UML:ModelElement.taggedValue></UML:Operation><UML:Operation xmi.id="593ebc3a0c3cd7.12165974" name="setHash" visibility="public" isQuery="false" concurrency="sequential"><UML:BehavioralFeature.parameter><UML:Parameter xmi.id="593ebc3a0c3f11.84928763"  name="return" kind="return"><UML:Parameter.type><UML:DataType xmi.idref="593ebc33df4107.31312443"/></UML:Parameter.type></UML:Parameter><UML:Parameter xmi.id="593ebc3a0c3f82.94213355"  name="$hash" kind="in"><UML:Parameter.type><UML:DataType xmi.idref="593ebc33cca916.80865133"/></UML:Parameter.type></UML:Parameter></UML:BehavioralFeature.parameter><UML:ModelElement.taggedValue><UML:TaggedValue xmi.id="593ebc3bdf5164.66167284" visibility="public"><UML:TaggedValue.dataValue>Set the hash spam, malware, etc signature</UML:TaggedValue.dataValue><UML:TaggedValue.type><UML:TagDefinition xmi.idref="f26758ec4db0aae9c238360df160a0e8"/></UML:TaggedValue.type></UML:TaggedValue></UML:ModelElement.taggedValue></UML:Operation><UML:Operation xmi.id="593ebc3a0c42b7.28435710" name="setFormat" visibility="public" isQuery="false" concurrency="sequential"><UML:BehavioralFeature.parameter><UML:Parameter xmi.id="593ebc3a0c4456.04903002"  name="return" kind="return"><UML:Parameter.type><UML:DataType xmi.idref="593ebc33df4107.31312443"/></UML:Parameter.type></UML:Parameter><UML:Parameter xmi.id="593ebc3a0c44c9.30517614"  name="$format" kind="in"><UML:Parameter.type><UML:DataType xmi.idref="593ebc33df3d92.77837107"/></UML:Parameter.type><UML:Parameter.defaultValue><UML:Expression xmi.id="593ebc3bdf5204.26971755" body="&quot;IDEA0&quot;" /></UML:Parameter.defaultValue></UML:Parameter></UML:BehavioralFeature.parameter><UML:ModelElement.taggedValue><UML:TaggedValue xmi.id="593ebc3bdf5268.86845951" visibility="public"><UML:TaggedValue.dataValue>Set the idea format, it seens that will be allways &quot;IDEA0&quot;</UML:TaggedValue.dataValue><UML:TaggedValue.type><UML:TagDefinition xmi.idref="f26758ec4db0aae9c238360df160a0e8"/></UML:TaggedValue.type></UML:TaggedValue></UML:ModelElement.taggedValue></UML:Operation><UML:Operation xmi.id="593ebc3a0c4648.82765574" name="setDetectTime" visibility="public" isQuery="false" concurrency="sequential"><UML:BehavioralFeature.parameter><UML:Parameter xmi.id="593ebc3a0c4819.79060618"  name="return" kind="return"><UML:Parameter.type><UML:DataType xmi.idref="593ebc33df4107.31312443"/></UML:Parameter.type></UML:Parameter><UML:Parameter xmi.id="593ebc3a0c4875.07548460"  name="$detectTime" kind="in"><UML:Parameter.type><UML:DataType xmi.idref="593ebc33cca916.80865133"/></UML:Parameter.type></UML:Parameter></UML:BehavioralFeature.parameter><UML:ModelElement.taggedValue><UML:TaggedValue xmi.id="593ebc3bdf5350.21014156" visibility="public"><UML:TaggedValue.dataValue>Set the idea detect time</UML:TaggedValue.dataValue><UML:TaggedValue.type><UML:TagDefinition xmi.idref="f26758ec4db0aae9c238360df160a0e8"/></UML:TaggedValue.type></UML:TaggedValue></UML:ModelElement.taggedValue></UML:Operation><UML:Operation xmi.id="593ebc3a0c4bc3.82252417" name="setCategory" visibility="public" isQuery="false" concurrency="sequential"><UML:BehavioralFeature.parameter><UML:Parameter xmi.id="593ebc3a0c4e44.27262503"  name="return" kind="return"><UML:Parameter.type><UML:DataType xmi.idref="593ebc33df4107.31312443"/></UML:Parameter.type></UML:Parameter><UML:Parameter xmi.id="593ebc3a0c4eb2.71874242"  name="$category" kind="in"><UML:Parameter.type><UML:DataType xmi.idref="593ebc33df3c31.69666467"/></UML:Parameter.type></UML:Parameter></UML:BehavioralFeature.parameter><UML:ModelElement.taggedValue><UML:TaggedValue xmi.id="593ebc3bdf5479.64606939" visibility="public"><UML:TaggedValue.dataValue>Set the idea category</UML:TaggedValue.dataValue><UML:TaggedValue.type><UML:TagDefinition xmi.idref="f26758ec4db0aae9c238360df160a0e8"/></UML:TaggedValue.type></UML:TaggedValue></UML:ModelElement.taggedValue></UML:Operation><UML:Operation xmi.id="593ebc3a0c5278.05572662" name="setCount" visibility="public" isQuery="false" concurrency="sequential"><UML:BehavioralFeature.parameter><UML:Parameter xmi.id="593ebc3a0c53e6.89910879"  name="return" kind="return"><UML:Parameter.type><UML:DataType xmi.idref="593ebc33df4107.31312443"/></UML:Parameter.type></UML:Parameter><UML:Parameter xmi.id="593ebc3a0c5449.37438949"  name="$count" kind="in"><UML:Parameter.type><UML:DataType xmi.idref="593ebc33cca916.80865133"/></UML:Parameter.type></UML:Parameter></UML:BehavioralFeature.parameter><UML:ModelElement.taggedValue><UML:TaggedValue xmi.id="593ebc3bdf5567.95473779" visibility="public"><UML:TaggedValue.dataValue>Set how many times this incident happened</UML:TaggedValue.dataValue><UML:TaggedValue.type><UML:TagDefinition xmi.idref="f26758ec4db0aae9c238360df160a0e8"/></UML:TaggedValue.type></UML:TaggedValue></UML:ModelElement.taggedValue></UML:Operation><UML:Operation xmi.id="593ebc3a0c5622.93020953" name="setHex" visibility="public" isQuery="false" concurrency="sequential"><UML:BehavioralFeature.parameter><UML:Parameter xmi.id="593ebc3a0c57c0.96793878"  name="return" kind="return"><UML:Parameter.type><UML:DataType xmi.idref="593ebc33df4107.31312443"/></UML:Parameter.type></UML:Parameter><UML:Parameter xmi.id="593ebc3a0c5822.39177039"  name="$hexadecimal" kind="in"><UML:Parameter.type><UML:DataType xmi.idref="593ebc33cca916.80865133"/></UML:Parameter.type></UML:Parameter></UML:BehavioralFeature.parameter><UML:ModelElement.taggedValue><UML:TaggedValue xmi.id="593ebc3bdf5654.67680066" visibility="public"><UML:TaggedValue.dataValue>Set the hexadecimal virus, malware, etc signature</UML:TaggedValue.dataValue><UML:TaggedValue.type><UML:TagDefinition xmi.idref="f26758ec4db0aae9c238360df160a0e8"/></UML:TaggedValue.type></UML:TaggedValue></UML:ModelElement.taggedValue></UML:Operation></UML:Classifier.feature><UML:ModelElement.taggedValue><UML:TaggedValue xmi.id="593ebc3bdf56b6.61314711" visibility="public"><UML:TaggedValue.dataValue>Class that represents the 'idea' file</UML:TaggedValue.dataValue><UML:TaggedValue.type><UML:TagDefinition xmi.idref="f26758ec4db0aae9c238360df160a0e8"/></UML:TaggedValue.type></UML:TaggedValue></UML:ModelElement.taggedValue></UML:Class></UML:Namespace.ownedElement></UML:Package></UML:Namespace.ownedElement></UML:Package><UML:Subsystem name="default" xmi.id="593ebc3be03aa6.34947227" isInstantiable="false"><UML:Namespace.ownedElement><UML:Subsystem name="warden" xmi.id="593ebc3be03d02.90413123" isInstantiable="false"><UML:Namespace.ownedElement><UML:Subsystem name="src" xmi.id="593ebc3be03d79.87346763" isInstantiable="false"><UML:Namespace.ownedElement></UML:Namespace.ownedElement></UML:Subsystem></UML:Namespace.ownedElement></UML:Subsystem></UML:Namespace.ownedElement></UML:Subsystem><UML:Package xmi.id="593ebc34a7cb96.21743413" name="Deployment View"><UML:Namespace.ownedElement><UML:Artifact  xmi.id="593ebc35d6d962.06142623" name="DAOFactory.php"><UML:ModelElement.stereotype><UML:Stereotype xmi.idref="cc99fbb28ce726caba6fee91461f54db"/></UML:ModelElement.stereotype></UML:Artifact><UML:Artifact  xmi.id="593ebc37352c62.22148315" name="DAO.php"><UML:ModelElement.stereotype><UML:Stereotype xmi.idref="cc99fbb28ce726caba6fee91461f54db"/></UML:ModelElement.stereotype></UML:Artifact><UML:Artifact  xmi.id="593ebc375799d3.17679476" name="IdeaCategory.php"><UML:ModelElement.stereotype><UML:Stereotype xmi.idref="cc99fbb28ce726caba6fee91461f54db"/></UML:ModelElement.stereotype></UML:Artifact><UML:Artifact  xmi.id="593ebc376189e5.18744786" name="MysqlDAO.php"><UML:ModelElement.stereotype><UML:Stereotype xmi.idref="cc99fbb28ce726caba6fee91461f54db"/></UML:ModelElement.stereotype></UML:Artifact><UML:Artifact  xmi.id="593ebc37b1d428.74656255" name="PDOMysql.php"><UML:ModelElement.stereotype><UML:Stereotype xmi.idref="cc99fbb28ce726caba6fee91461f54db"/></UML:ModelElement.stereotype></UML:Artifact><UML:Artifact  xmi.id="593ebc38707010.39958945" name="Pool.php"><UML:ModelElement.stereotype><UML:Stereotype xmi.idref="cc99fbb28ce726caba6fee91461f54db"/></UML:ModelElement.stereotype></UML:Artifact><UML:Artifact  xmi.id="593ebc38a3cf89.30452438" name="WardenFileSystem.php"><UML:ModelElement.stereotype><UML:Stereotype xmi.idref="cc99fbb28ce726caba6fee91461f54db"/></UML:ModelElement.stereotype></UML:Artifact><UML:Artifact  xmi.id="593ebc38ed1102.13092428" name="WardenManager.php"><UML:ModelElement.stereotype><UML:Stereotype xmi.idref="cc99fbb28ce726caba6fee91461f54db"/></UML:ModelElement.stereotype></UML:Artifact><UML:Artifact  xmi.id="593ebc396d1a36.83840886" name="Warden.php"><UML:ModelElement.stereotype><UML:Stereotype xmi.idref="cc99fbb28ce726caba6fee91461f54db"/></UML:ModelElement.stereotype></UML:Artifact></UML:Namespace.ownedElement></UML:Package></UML:Namespace.ownedElement></UML:Model></XMI.content></XMI>